Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjml2java2
Class QCQJML

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMpeerSupportLite
            |
            +--com.jxml.quick.ocm.OCMrootPeerSupportLite
                  |
                  +--com.jxml.quick.util.qjml2java2.QCQJML

All Implemented Interfaces:
  OCMpeer, OCMrootPeer

public class QCQJML
extends OCMrootPeerSupportLite

The root class to model the element QJML

Fields inherited from class com.jxml.quick.ocm.OCMpeerSupportLite
`context, dataModel, paramMap, parent`

Constructor Summary
`QCQJML()`

Method Summary
`void` | `cvt(Object param)` Method declaration Initialize the data model
`String` | `express(boolean expressDefaults)` Method declaration
`void` | `express(PrintWriter pw, boolean expressDefaults)` Method declaration

Methods inherited from class com.jxml.quick.ocm.OCMrootPeerSupportLite
`convert, convert, getOutputRoot`

Methods inherited from class com.jxml.quick.ocm.OCMpeerSupportLite
`doCvt, doCvt, doCvt, init, peer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.ocm.OCMpeer
`init`

Constructor Detail

### QCQJML

    public QCQJML()

Method Detail

### cvt

    public void cvt(Object param)
             throws SAXException,
                    IOException

  Method declaration
  Initialize the data model
  Overrides:
    `cvt` in class `OCMpeerSupportLite`
  Parameters:
    `param` - Name of the parameter
  Throws:
    `SAXException` - Legal SAXException
    `IOException` - Legal IOException

### express

    public String express(boolean expressDefaults)
                   throws SAXException,
                          IOException

  Method declaration
  Overrides:
    `express` in class `OCMrootPeerSupportLite`
  Returns:
    `true` if this represents expressDefaults `false` otherwise.
  Throws:
    `SAXException` -
    `IOException` -

### express

    public void express(PrintWriter pw,
                        boolean expressDefaults)
                 throws SAXException,
                        IOException

  Method declaration
  Overrides:
    `express` in class `OCMrootPeerSupportLite`
  Throws:
    `SAXException` -
    `IOException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD